<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws"
	xmlns:jaxrs="http://cxf.apache.org/jaxrs" xmlns:simple="http://cxf.apache.org/simple"
	xsi:schemaLocation="
       http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
       http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
       http://cxf.apache.org/jaxrs http://cxf.apache.org/schemas/jaxrs.xsd">

	<import resource="classpath:META-INF/cxf/cxf.xml" />
	<!-- deprecated since CXF 2.4.0 -->
	<!-- <import resource="classpath:META-INF/cxf/cxf-extension-soap.xml" /> 
		<import resource="classpath:META-INF/cxf/cxf-extension-jaxrs-binding.xml" 
		/> -->
	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

	<jaxws:endpoint id="archiveservice"
		implementor="net.brutex.xservices.ws.impl.ArchiveServiceImpl" address="/ArchiveService">
	</jaxws:endpoint>

	<jaxws:endpoint id="dateservice"
		implementor="net.brutex.xservices.ws.impl.DateServiceImpl" address="/DateService">
	</jaxws:endpoint>

	<jaxws:endpoint id="fileservice"
		implementor="net.brutex.xservices.ws.impl.FileServiceImpl" address="/FileService">
		<jaxws:properties>
			<entry key="mtom-enabled" value="false" />
		</jaxws:properties>
	</jaxws:endpoint>

	<!-- This is the MTOM enabled FileServices endpoint -->
	<jaxws:endpoint id="fileservice2"
		implementor="net.brutex.xservices.ws.impl.FileServiceImpl" address="/FileServiceMTOM">
		<jaxws:properties>
			<entry key="mtom-enabled" value="true" />
			<entry key="attachment-directory" value="c:\temp" />
			<entry key="attachment-memory-threshold" value="2000" />
		</jaxws:properties>
	</jaxws:endpoint>


	<jaxws:endpoint id="executeservice"
		implementor="net.brutex.xservices.ws.impl.ExecuteServiceImpl" address="/ExecuteService">
	</jaxws:endpoint>

	<jaxws:endpoint id="jobservice"
		implementor="net.brutex.xservices.ws.impl.JobServiceImpl" address="/JobService">
	</jaxws:endpoint>

	<jaxws:endpoint id="mailservice"
		implementor="net.brutex.xservices.ws.impl.MailServiceImpl" address="/MailService">
	</jaxws:endpoint>

	<jaxws:endpoint id="miscservice"
		implementor="net.brutex.xservices.ws.impl.MiscServiceImpl" address="/MiscService">
	</jaxws:endpoint>

	<jaxws:endpoint id="stringservice"
		implementor="net.brutex.xservices.ws.impl.StringServiceImpl" address="/StringService">
	</jaxws:endpoint>

	<jaxws:endpoint id="storageservice"
		implementor="net.brutex.xservices.ws.impl.StorageServiceImpl" address="/StorageService">
	</jaxws:endpoint>

	<jaxws:endpoint id="storageservice2"
		implementor="net.brutex.xservices.ws.impl.StorageServiceImpl" address="/StorageServiceMTOM">
		<jaxws:properties>
			<entry key="mtom-enabled" value="true" />
			<entry key="attachment-directory" value="c:\temp" />
			<entry key="attachment-memory-threshold" value="2000" />
		</jaxws:properties>
	</jaxws:endpoint>

	<jaxws:endpoint id="xmlservice"
		implementor="net.brutex.xservices.ws.impl.XmlServiceImpl" address="/XmlService">
	</jaxws:endpoint>


	<jaxrs:server id="FileInfo" address="/fileinfo">
		<jaxrs:serviceBeans>
			<ref bean="FileInfoBean" />
		</jaxrs:serviceBeans>
	</jaxrs:server>
	<bean id="FileInfoBean" class="net.brutex.xservices.ws.rs.FileInfoImpl" />
	
	 
<jaxrs:server address="/app1"> 
       <jaxrs:serviceBeans>
          <ref bean="FileInfoBean"/>
       </jaxrs:serviceBeans>
       <jaxrs:providers>
          <ref bean="redirectGetFilter"/>
       </jaxrs:providers>
</jaxrs:server>
 
<bean id="redirectGetFilter" class="org.apache.cxf.rs.security.saml.sso.SamlRedirectBindingFilter">
      <property name="idpServiceAddress" value="https://localhost:9443/idp"/>
      <!-- both relative and absolute URIs are supported -->
      <property name="assertionConsumerServiceAddress" value="/racs/sso"/>
      <property name="stateProvider" ref="stateManager"/>
</bean>
 
 
<bean id="stateManager" class="org.apache.cxf.rs.security.saml.sso.state.EHCacheSPStateManager">
    <constructor-arg ref="cxf"/>
</bean>
	
	
	


	<jaxrs:server id="CVSInfo" address="/cvsinfo">
		<jaxrs:serviceBeans>
			<ref bean="CVSInfoBean" />
		</jaxrs:serviceBeans>
	</jaxrs:server>
	<bean id="CVSInfoBean" class="net.brutex.xservices.ws.rs.CVSInfoImpl" />

</beans>
